﻿<template>
  <div>
    <div class="create-task-desktop-model only-desktop" @click="add">
      <v-icon size="35" class="plus-icon" color="#999999">mdi-plus-thick</v-icon>
      <p class="create-task-text default-medium-text-900">Create new task</p>
    </div>
    <button class="create-task-mobile-model only-mobile" @click="add">
      <v-icon size="26" class="plus-icon" color="#3C3C3C"
        >mdi-plus-thick</v-icon
      >
    </button>
  </div>
</template>

<script>
export default {
  name: "new-task-button",
  methods: {
    add() {
      this.$router.push("/todo-list/add");
    },
  },
};
</script>

<style lang="sass">
@import "../../scss/colors"
.create-task-mobile-model
  height: 51px
  width: 51px
  background: $peach
  border-radius: 26px

.create-task-desktop-model
  width: 325px
  height: 150px
  background: $lightGray
  border-radius: 9px

  .plus-icon
    margin-top: 42px
    margin-left: 142px
  .create-task-text
    margin-top: 26px
    margin-left: 97px

.create-task-desktop-model:hover
  cursor: pointer
</style>
